Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

GET https://datasets.polynode.dev/api/datasets/sports-esports/wallets/whales
Returns wallets with total volume above a threshold, ranked by volume.

Query Parameters

ParameterTypeDefaultDescription
thresholdnumber100000Minimum total volume in USDC.
afterintegerOnly wallets active after this unix timestamp.
beforeintegerOnly wallets active before this unix timestamp.
limitinteger100Max results (max 500).
offsetinteger0Pagination offset.

Example: Whales since January 2026

curl "https://datasets.polynode.dev/api/datasets/sports-esports/wallets/whales?threshold=1000000&after=1735689600&limit=5"

Response

{
  "wallets": [
    {
      "wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
      "fills": 374922,
      "volume_usdc": "72603487.44",
      "tags": 1,
      "markets": 52815,
      "maker_pct": "19.4"
    }
  ],
  "count": 5,
  "threshold_usdc": 1000000.0
}